clear all,clc 

load('C:xxx\xxx\xxx\T.mat') %processed data is stored in T.mat. Fill in correct directory!

%% Define relevant variables
T_array = table2array(T(:,2:end));

F_compression = -T_array(:,1);
t_compression = T_array(:,2);
F_max = T_array(:,6);

for i= 1:2

figure(i),clf(i), hold on 
grid on 
Colors = [0 0 0 ; 0.4 0.4 0.4 ; 0.7 0.7 0.7];

if i == 1 % tc vs Fmax plot
   Yvar = [1 5 10]; %Fmax 1N, 5N, 10N (= 3.1, 10 & 31 kPa)
   Y = F_max;
   X = t_compression.^(1/4);
   Z = F_compression;
   xlabel('t_c^{1/4} [s^{1/4}]')
   ylabel('F_{max} [N]')
   legendentries = {'p = 3 kPa','p = 10 kPa','p = 31 kPa'};
   p = [200 400 400 350]; %position of graph on screen
end

if i == 2 %p vs Fmax plot
   Yvar = [10 30 60]; %tc = 10, 30 & 60 seconds
   Y = F_max;
   X = F_compression/((18e-3)^2)/1000 %convert force(N) to pressure (kPa)
   Z = t_compression;
   xlabel('p [kPa]')
   ylabel('F_{max} [N]')
   legendentries = {'t_c = 10 sec','t_c = 30 sec','t_c = 60 sec'};
   p = [200 0 400 350];
end

%%
for k = 1:length(Yvar) 
       
   y = [Y(Z==Yvar(k))];
   x = [X(Z==Yvar(k))];
   
   if i == 1
   plot(x,y,'.','MarkerSize',15,'LineWidth',3,'Color',Colors(k,:))
   else
   plot(x,y,'.','MarkerSize',15,'LineWidth',3,'Color',Colors(k,:))
   end
   
   legend(legendentries)
   set(legend,'Location','NorthWest')
   set(gcf,'Position',p)

end
end
%% Table 2 in paper:
for j = 1:12
    Table2(j,1) = mean(F_compression(j*3-2:j*3));
    Table2(j,2) = mean(t_compression(j*3-2:j*3));
    Table2(j,3) = mean(F_max(j*3-2:j*3));
end
Table2(:,4) = Table2(:,3)/18^2*1000 

array2table(Table2,'VariableNames',{'Compression Force [N]','Compression Time [sec]','Mean F_max [N]','Mean tension [kPa]'})